Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.configuration
Class DefaultModifiableConfiguration

    java.lang.Object
      org.apache.any23.configuration.DefaultConfiguration
          org.apache.any23.configuration.DefaultModifiableConfiguration

All Implemented Interfaces:
  Configuration, ModifiableConfiguration

    public class DefaultModifiableConfiguration

extends DefaultConfiguration
implements ModifiableConfiguration

Default implementation of `ModifiableConfiguration`.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Field Summary

Fields inherited from class org.apache.any23.configuration.DefaultConfiguration
`DEFAULT_CONFIG_FILE, FLAG_PROPERTY_OFF, FLAG_PROPERTY_ON, logger, properties, singleton`

Constructor Summary
`protected` | `DefaultModifiableConfiguration(Properties properties)`

Method Summary
`String` | `setProperty(String propertyName, String propertyValue)` Sets a new value `propertyValue` for property which name `propertyName`.

Methods inherited from class org.apache.any23.configuration.DefaultConfiguration
`copy, defineProperty, getConfigurationDump, getFlagProperty, getProperties, getProperty, getPropertyIntOrFail, getPropertyOrFail, singleton`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.any23.configuration.Configuration
`defineProperty, getConfigurationDump, getFlagProperty, getProperties, getProperty, getPropertyIntOrFail, getPropertyOrFail`

Constructor Detail

### DefaultModifiableConfiguration

    protected DefaultModifiableConfiguration(Properties properties)

Method Detail

### setProperty

    public String setProperty(String propertyName,
                              String propertyValue)

  Description copied from interface: `ModifiableConfiguration`
  Sets a new value `propertyValue` for property which name `propertyName`.

  Specified by:
    `setProperty` in interface `ModifiableConfiguration`
  Parameters:
    `propertyName` - name of property.
    `propertyValue` - value of property.
  Returns:
    the old property value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.